doctype html
link#bootstrap-css(href='//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css' rel='stylesheet')
script(src='//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js')
script(src='//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js')
// ---- Include the above in your HEAD tag --------
head
  title Lab9 tarea
  link(rel='stylesheet' href='https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css' integrity='sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO' crossorigin='anonymous')
  link(rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css')
  link(rel='stylesheet' href='https://use.fontawesome.com/releases/v5.3.1/css/all.css' integrity='sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU' crossorigin='anonymous')
  script(src='https://code.jquery.com/jquery-3.3.1.min.js' integrity='sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=' crossorigin='anonymous')
  style(type='text/css').
    html,body{
    height: 100%;
    margin: 0;
    background: rgb(2,0,36);
    background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(149,199,20,1) 0%, rgba(0,212,255,1) 96%);
    }
    .myForm{
    background-color: rgba(0,0,0,0.5) !important;
    padding: 15px !important;
    border-radius: 15px !important;
    color: white;
    }
    input{
    border-radius:0 15px 15px 0 !important;
    }
    input:focus{
    outline: none;
    box-shadow:none !important;
    border:1px solid #ccc !important;
    }
    .br-15{
    border-radius: 15px 0 0 15px !important;
    }
    #add_more{
    color: white !important;
    background-color: #fa8231 !important;
    border-radius: 15px !important;
    border: 0 !important;
    }
    #remove_more{
    color: white !important;
    background-color: #fc5c65 !important;
    border-radius: 15px !important;
    border: 0 !important;
    display: none;
    }
    .submit_btn{
    border-radius: 15px !important;
    background-color: #95c714 !important;
    border: 0 !important;
    }

    .error{
      color: #D8000C;
      background-color: #FFBABA;
      background-image: url('https://i.imgur.com/GnyDvKN.png');
    }
    .info, .success, .warning, .error, .validation {
      border: 1px solid;
      margin: 10px 0px;
      padding: 15px 10px 15px 50px;
      background-repeat: no-repeat;
      background-position: 10px center;
    }

  script(src="https://apis.google.com/js/platform.js" async defer)

  meta(name='google-signin-client_id' content='880776411615-v6k8qi4mur051v4i129ml7tf50fsh9td.apps.googleusercontent.com')


// Coded With Love By Mutiullah Samim


div.container.h-100
  .d-flex.justify-content-center
    .card.mt-5.col-md-4.animated.bounceInDown.myForm
      .card-header
        h4 Students Contact Details
      .card-body
  
        form#loginForm(action='/login' method='post' onsubmit="return validateForm()")
          #dynamic_container
            .input-group
              .input-group-prepend
                span.input-group-text.br-15
                  i.fas.fa-user-graduate
              input#email_input.form-control(type='email' placeholder='Email' name="email")
            .input-group.mt-3
              .input-group-prepend
                span.input-group-text.br-15
                  i.fas.fa-at
              input#pass_input.form-control(type='password' placeholder='Password' name="password")
          .card-footer
            a#add_more.btn.btn-secondary.btn-sm
              i.fas.fa-plus-circle
              |  Add
            a#remove_more.btn.btn-secondary.btn-sm
              i.fas.fa-trash-alt
              |  Remove
            button.btn.btn-success.btn-sm.float-right.submit_btn(type='submit')
              i.fas.fa-arrow-alt-circle-right
              |  Submit
            -if (typeof(msg) !== 'undefined'){
              .error #{msg}
            -}

      //- botón para login por google:
      p Iniciar sesión con google:
      .g-signin2(data-onsuccess='onSignIn')
      //- <a href="#" onclick="signOut();">Sign out</a>

      //- a(href='#' onclick='signOut();') Sign out

script.
  function validateForm() {
    const email = document.forms["loginForm"]["email_input"].value;
    const pass = document.forms["loginForm"]["pass_input"].value;

    if (email == "" || pass == '') {
      return false;
    }
    if(!validateEmail(email)){
      return false;
    }

    window.localStorage.clear();
    window.localStorage.setItem('user_email', email);
    return true
  }

  function validateEmail(mail) 
    {
      if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(mail))
        {
          return true
        }
          return false
    }

script.
  function onSignIn(googleUser) {
    var profile = googleUser.getBasicProfile();
    //- console.log("ID: " + profile.getId()); // Do not send to your backend! Use an ID token instead.
    //- console.log("Name: " + profile.getName());
    //- console.log("Image URL: " + profile.getImageUrl());
    //- console.log("Email: " + profile.getEmail()); // This is null if the 'email' scope is not present.
    var id_token = googleUser.getAuthResponse().id_token;

    // Enviando petición POST al backend node.js:
    var xhr = new XMLHttpRequest();

    // TODO: cambiar según lugar de despliegue(local o heroku)
    xhr.open("POST", "https://dawa-lab8.herokuapp.com/google"); // para heroku
    //- xhr.open("POST", "/google"); // para local


    xhr.setRequestHeader(
      "Content-Type",
      "application/x-www-form-urlencoded"
    );

    xhr.onreadystatechange = function() { // listen for state changes
      if (xhr.readyState == 4 && xhr.status == 200) { // when completed we can move away

        let response_object = JSON.parse(xhr.response);
        window.localStorage.clear();
        window.localStorage.setItem('user_email', profile.getEmail());
        window.localStorage.setItem(profile.getEmail(), response_object.token);

        // TODO: cambiar según lugar de despliegue(local o heroku)
        window.location = "https://dawa-lab8.herokuapp.com/usuario_listar";
        //- window.location = "/usuario_listar";
      
      }
    }

    xhr.onload = function () {
      console.log("Signed in as: " + xhr.responseText);
    };
    xhr.send("idtoken=" + id_token);
  }

  function signOut() {
    var auth2 = gapi.auth2.getAuthInstance();
    auth2.signOut().then(function () {
      console.log("User signed out.");
    });
  }






